/* ========================================================================

   (C) Copyright 2023 by Molly Rocket, Inc., All Rights Reserved.

   This software is provided 'as-is', without any express or implied
   warranty. In no event will the authors be held liable for any damages
   arising from the use of this software.

   Please see https://computerenhance.com for more information

   ======================================================================== */

#ifndef SIM86_H
#define SIM86_H

#ifndef u8
typedef char unsigned u8;
#endif // !u8

#ifndef u16
typedef short unsigned u16;
#endif // !u16

#ifndef u32
typedef int unsigned u32;
#endif // !u32

#ifndef u64
typedef long long unsigned u64;
#endif // u64

#ifndef s8
typedef char s8;
#endif // !s8

#ifndef s16
typedef short s16;
#endif // !s16

#ifndef s32
typedef int s32;
#endif // !s32

#ifndef s64
typedef long long s64;
#endif // !s64

typedef s32 b32;

#define ArrayCount(Array) (sizeof(Array) / sizeof((Array)[0]))

static u32 const SIM86_VERSION = 3;

#endif // !SIM86_H
